---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab incident list`

List project incidents

```plaintext
glab incident list [flags]
```

## Aliases

```plaintext
ls
```

## Examples

```plaintext
glab incident list --all
glab incident ls --all
glab incident list --assignee=@me
glab incident list --milestone release-2.0.0 --opened

```

## Options

```plaintext
  -A, --all                    Get all incidents
  -a, --assignee string        Filter incident by assignee <username>
      --author string          Filter incident by author <username>
  -c, --closed                 Get only closed incidents
  -C, --confidential           Filter by confidential incidents
  -g, --group string           Select a group/subgroup. This option is ignored if a repo argument is set.
      --in string              search in {title|description} (default "title,description")
  -l, --label strings          Filter incident by label <name>
  -m, --milestone string       Filter incident by milestone <id>
      --not-assignee strings   Filter incident by not being assigneed to <username>
      --not-author strings     Filter by not being by author(s) <username>
      --not-label strings      Filter incident by lack of label <name>
  -F, --output-format string   One of 'details', 'ids', or 'urls' (default "details")
  -p, --page int               Page number (default 1)
  -P, --per-page int           Number of items to list per page. (default 30)
      --search string          Search <string> in the fields defined by --in
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
